package com.ss.android.ugc.aweme;

import X.8Zd;
import X.8Ze;
import X.8ec;
import X.9Ft;
import X.9Fx;
import X.C6144FKi;
import X.C6145FKj;
import X.FHP;
import X.M12;
import X.Pwn;
import X.RkE;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import java.util.List;

public class WsRegionTask implements 8Ze {
    static {
        Covode.recordClassIndex(50397);
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1048575;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public 8ec type() {
        return 8ec.BOOT_FINISH;
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public void run(Context context) {
        C6145FKj fKj = RkE.LIZ;
        M12.LIZ(fKj);
        Pwn.LJIIJ.LIZ().LIZ(new FHP(1025, 1), new C6144FKi(fKj));
    }
}
